summaryrefslogtreecommitdiffstats
path: root/libraries/db46/db46.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'libraries/db46/db46.SlackBuild')
-rw-r--r--libraries/db46/db46.SlackBuild144
1 files changed, 144 insertions, 0 deletions
diff --git a/libraries/db46/db46.SlackBuild b/libraries/db46/db46.SlackBuild
new file mode 100644
index 0000000000..5664668e66
--- /dev/null
+++ b/libraries/db46/db46.SlackBuild
@@ -0,0 +1,144 @@
+#!/bin/sh
+# Slackware build script for Oracle Berkeley DB 4.6
+
+# Original Copyright 2008, 2009 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# db-4.6 modifications of Slackware.com db4.4 script by John Clizbe
+# John.Clizbe@gmail.com
+
+PRGNAM=db46
+VERSION=4.6.21
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+rm -rf $PKG
+mkdir -p $TMP $PKG
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+cd $TMP
+rm -rf db-$VERSION
+tar xzvf $CWD/db-$VERSION.tar.gz || exit 1
+cd db-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Official patches:
+patch -p0 < $CWD/patches/patch.4.6.21.1
+patch -p0 < $CWD/patches/patch.4.6.21.2
+patch -p0 < $CWD/patches/patch.4.6.21.3
+patch -p0 < $CWD/patches/patch.4.6.21.4
+
+rm -rf build-dir
+mkdir build-dir
+cd build-dir
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+../dist/configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --enable-shared \
+ --enable-rpc \
+ --enable-cxx \
+ --enable-compat185 \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+# Remove WAY TOO LARGE (and misplaced) docs:
+rm -rf $PKG/usr/docs
+mkdir -p $PKG/usr/doc/db-$VERSION
+cp -a \
+ ../LICENSE ../README \
+ $PKG/usr/doc/db-$VERSION
+cat << EOF > $PKG/usr/doc/db-$VERSION/README-DOCS
+
+ For a ton of additional documentation (too large to include
+ here) on writing source code that uses libdb46, please see
+ the source tarball db-$VERSION.tar.gz, which can be found
+ on Oracle's Berkeley DB web site:
+ http://www.oracle.com/technology/products/berkeley-db/db/index.html.
+
+EOF
+
+# Move include files:
+( cd $PKG/usr/include
+ mkdir db46
+ mv *.h db46
+ for file in db46/* ; do
+ ln -sf $file .
+ done
+ # Better add this symlink, too, just to be safe...
+ ln -sf db46 db4
+)
+
+# Put libdb-4.6.so into /lib${LIBDIRSUFFIX} since it might be needed
+# before /usr is mounted (eg, nsswitch.conf can be set up to
+# use databases instead of flat files)
+mkdir -p $PKG/lib${LIBDIRSUFFIX}
+mv $PKG/usr/lib${LIBDIRSUFFIX}/libdb-4.6.so $PKG/lib${LIBDIRSUFFIX}/libdb-4.6.so
+( cd $PKG/usr/lib${LIBDIRSUFFIX}
+ ln -sf /lib${LIBDIRSUFFIX}/libdb-4.6.so .
+)
+
+# Some things might look for these libraries by other names.
+( cd $PKG/usr/lib${LIBDIRSUFFIX}
+ ln -sf libdb-4.6.a libdb-4.a
+ ln -sf libdb-4.6.a libdb4.a
+ ln -sf libdb-4.6.a libdb.a
+ ln -sf libdb_cxx-4.6.a libdb_cxx-4.a
+ ln -sf libdb_cxx-4.6.a libdb_cxx.a
+ ln -sf libdb-4.6.so libdb4.so
+ ln -sf libdb-4.6.so libdb.so
+)
+
+chmod 755 $PKG/usr/bin/*
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz